Bug 1412970 - [RFE] repoquery: Allow querying all packages
Summary: [RFE] repoquery: Allow querying all packages
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
medium
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 09:54 UTC by Mikolaj Izdebski
Modified: 2017-04-01 17:21 UTC (History)
5 users (show)

Fixed In Version: dnf-2.2.0-1.fc26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-01 17:21:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mikolaj Izdebski 2017-01-13 09:54:20 UTC
Description of problem:
RPM and YUM have ability to query all packages (option -a), but this doesn't seem to be possible with DNF repoquery.
Lack of this feature prevents switching from yum-utils to dnf.
Please consider implementing this feature.

"rpmquery -a" - works
"repoquery -a" - works
"dnf repoquery -a" - does not

$ dnf repoquery -a
[...]
dnf repoquery: error: unrecognized arguments: -a

Comment 1 Michael Simacek 2017-01-13 11:37:26 UTC
Running dnf repoquery without arguments should list all packages.

Comment 2 Honza Silhan 2017-01-13 13:24:30 UTC
IIRC newer version of dnf repoqeury (from dnf-2.0) lists just available pkgs by default. We will implement --all option.

Comment 3 Jaroslav Mracek 2017-02-20 08:34:18 UTC
I just want to mentioned, that to query all packages you can use `--installed`` and `--available` options together.

Comment 4 Jaroslav Mracek 2017-02-20 09:16:15 UTC
Sorry, the option --all represent default repoquery behavior without argument or with '*' . I created PR: https://github.com/rpm-software-management/dnf/pull/742

Comment 5 Fedora Update System 2017-03-21 12:06:58 UTC
dnf-2.1.1-1.fc26 libdnf-0.8.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b

Comment 6 Fedora Update System 2017-03-21 14:26:51 UTC
dnf-2.1.1-1.1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b

Comment 7 Fedora Update System 2017-03-27 19:20:22 UTC
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b

Comment 8 Fedora Update System 2017-04-01 17:21:06 UTC
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.